commit:     1dc1e64c80f0cc7011fecdda7f42ae4555a2d6e1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  6 22:14:10 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb  6 22:14:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1dc1e64c

net-mail/pfqueue: EAPI 7

Closes: https://bugs.gentoo.org/675232
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...fqueue-0.5.6.ebuild => pfqueue-0.5.6-r1.ebuild} | 27 +++++++++++++---------
 1 file changed, 16 insertions(+), 11 deletions(-)

diff --git a/net-mail/pfqueue/pfqueue-0.5.6.ebuild 
b/net-mail/pfqueue/pfqueue-0.5.6-r1.ebuild
similarity index 68%
rename from net-mail/pfqueue/pfqueue-0.5.6.ebuild
rename to net-mail/pfqueue/pfqueue-0.5.6-r1.ebuild
index 4ba93f8746b..ef394d85a72 100644
--- a/net-mail/pfqueue/pfqueue-0.5.6.ebuild
+++ b/net-mail/pfqueue/pfqueue-0.5.6-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit autotools eutils ltprune toolchain-funcs
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="pfqueue is an ncurses console-based tool for managing Postfix 
queued messages"
 HOMEPAGE="http://pfqueue.sourceforge.net/";
@@ -11,14 +12,19 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
 
-RDEPEND="
-       sys-libs/ncurses
-       sys-devel/libtool
-"
+BDEPEND="sys-devel/libtool"
+RDEPEND="sys-libs/ncurses:="
 DEPEND="${RDEPEND}"
 
+DOCS=( README ChangeLog NEWS TODO AUTHORS )
+
+PATCHES=(
+       "${FILESDIR}"/${P}-tinfo.patch
+)
+
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-tinfo.patch
+       default
+
        eautoreconf
 }
 
@@ -26,9 +32,8 @@ src_configure() {
        econf --disable-static
 }
 
-DOCS=( README ChangeLog NEWS TODO AUTHORS )
-
 src_install() {
        default
-       prune_libtool_files
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to